Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Interface ResultSetWrapper

All Known Implementing Classes:
  ResultSetWrapperImpl

    public interface ResultSetWrapper

Contract for wrapping a `ResultSet` in a "column name cache" wrapper.

Method Summary
`ResultSet` | `wrap(ResultSet resultSet, ColumnNameCache columnNameCache)` Wrap a result set in a "column name cache" wrapper.

Method Detail

### wrap

    ResultSet wrap(ResultSet resultSet,
                   ColumnNameCache columnNameCache)

  Wrap a result set in a "column name cache" wrapper.

  Parameters:
    `resultSet` - The result set to wrap
    `columnNameCache` - The column name cache.
  Returns:
    The wrapped result set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.